<?php

$pasta = dirname(__FILE__) . '/../../';

require_once $pasta . 'includes/inicio.php';
require_once $pasta . 'includes/verificaSessao.php';

// Página
$pagina = 'pergunta';
$direct = 'cms-' . $pagina;

if (isset($_GET['t'])) {
    $ac = Acesso::check($direct);

    switch ($_GET['t']) {
        case 'inserir':
            if ($ac->inserir()) {

                $pergunta = trim($_POST['pergunta']);
                $categoria = trim($_POST['categoria']);
                $resposta_1 = trim($_POST['resposta_1']);
                $peso_1 = trim($_POST['peso_1']);
                $resposta_2 = trim($_POST['resposta_2']);
                $peso_2 = trim($_POST['peso_2']);
                $resposta_3 = trim($_POST['resposta_3']);
                $peso_3 = trim($_POST['peso_3']);
                

                $objPergunta = new Pergunta();
                $objPergunta->id = 0;
                $objPergunta->pergunta = $pergunta;
                $objPergunta->categoria = $categoria;
                $objPergunta->resposta_1 = $resposta_1;
                $objPergunta->peso_1 = $peso_1;
                $objPergunta->resposta_2 = $resposta_2;
                $objPergunta->peso_2 = $peso_2;
                $objPergunta->resposta_3 = $resposta_3;
                $objPergunta->peso_3 = $peso_3;

                $objLog = LogCMS::inserir($_SESSION['sesCMSCodigo'], 'Inserir ' . ucfirst($pagina), $_SESSION['sesCMSIP']);

                try {
                    $objPergunta->inserir();
                    Message::success('Operação realizada com sucesso.');
                } catch (BancoExcecao $ex) {
                    $direct = $direct . '-inserir';
                    Message::error($ex->getMessage());
                    exit;
                }
            } else {
                Message::error('Acesso negado.');
            }
        break;

        case 'editar':
            if ($ac->editar()) {

                $id = $_POST['id'];
                $pergunta = trim(@$_POST['pergunta']);
                $slug = trim($_POST['slug']);

                $objPergunta = new Pergunta();
                $objPergunta->id = $id;
                $objPergunta->pergunta = $pergunta;
                $objPergunta->categoria = $categoria;
                $objPergunta->peso = $peso;
                $objPergunta->slug = $slug;

                $objLog = LogCMS::inserir($_SESSION['sesCMSCodigo'], 'Editar ' . ucfirst($pagina), $_SESSION['sesCMSIP']);

                try {
                    $objPergunta->editar();
                    Message::success('Operação realizada com sucesso');
                } catch (BancoExcecao $ex) {
                    $direct = $direct . '-editar&id=' . $_POST['id'];
                    Message::error($ex->getMessage());
                    exit;
                }
            } else {
                Message::error('Acesso negado.');
            }
        break;

        case 'excluir':
            if ($ac->excluir()) {
                $arrIds = (isset($_POST['id'])) ? $_POST['id'] : '';
                $arrIds = explode(',', $arrIds);

                if (count($arrIds) > 0) {
                    $objLog = LogCMS::inserir($_SESSION['sesCMSCodigo'], 'Excluir ' . ucfirst($pagina), $_SESSION['sesCMSIP']);

                    foreach ($arrIds as $id) {
                        try {
                            $excluir = Pergunta::excluir($id);
                            echo 'sucesso';
                            // Message::success("Operação realizada com sucesso.");
                        } catch (BancoExcecao $ex) {
                            // Message::error($ex->getMessage());
                            echo 'erro';
                            break;
                        }
                    }
                }
            } else {
                // Message::error("Acesso negado.");
                echo 'erro';
            }
        break;

        case 'status':
            $objLog = LogCMS::inserir($_SESSION['sesCMSCodigo'], 'Alterou status do ' . ucfirst($pagina) . ' ' . $_POST['id'], $_SESSION['sesCMSIP']);
            echo Pergunta::mudaStatus($_POST['id']);
            exit;
        break;
    }
}

if (!$_GET['ajax']) {
    Util::redirect(Util::baseUrl() . 'cms/?i=' . $direct);
}
